Subject: High flying Tiger Swalowtail

From: [email-masked] (PA AVOCET)
Date: 1 May 1996 23:06:38 -0400

On Monday, April 29, I saw my first Eastern Tiger Swallowtail of the
season. At the time of my sighting, I was in a glass-enclosed swimming
pool on the 45th floor of a building in Center City Philadelphia. (My last
wildlife sighting there had been a few days earlier, when a pair of
Peregrines zipped past at eye level.)
The weather was cool, cloudy and windy, and the butterfly was sort of
banging on the glass for a while.
Is this species known to migrate? If not, what the heck was it looking for
that far off the ground? (Don't answer that; I can figure it out.)
Sandy Sherman
[email-masked]
Collingdale, PA